//
// Written by John A deLaubenfels, https://www.adaptune.com/steg.htm .
// Permission granted to use freely in any non-fraudulent way.
//

#pragma once

#include "afxdialogex.h"
#include <vector>
#include <string>


// PassDlg dialog

class PassDlg : public CDialogEx
{
   DECLARE_DYNAMIC(PassDlg)

public:
   PassDlg(CWnd* pParent = nullptr);   // standard constructor
   virtual ~PassDlg();

// Dialog Data
#ifdef AFX_DESIGN_TIME
   enum { IDD = IDD_PASSWORD };
#endif

protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

   DECLARE_MESSAGE_MAP()
public:
   virtual BOOL PreTranslateMessage(MSG* pMsg);
   int m_enterAction;
   CEdit m_cEdt_pwd;
   afx_msg void OnKillfocusEdtPwd();
   afx_msg void OnSetfocusEdtPwd();
   virtual BOOL OnInitDialog();
   CStatic m_stcPwdHint;
   std::vector<unsigned long long> m_passwordSeedVector;
   std::string m_ssBadPwd;
   CStatic m_stcBadPwd;
   stegInfo *m_pCommonInfo;
};
